Skip to content

Licenses

All operations require authentication.

113 operationsv1/license/cloudLinux · /license/cpanel · /license/directadmin · +6
Agent setup

List available servicesProduction

GET
/1.0/license/cloudLinux

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the orderable CloudLinux versionsProduction

GET
/1.0/license/cloudLinux/orderableVersions

Query parameters

ip
required
ipv4

Your license Ip

Response

200CloudLinuxOrderConfiguration[]successful operation
orderableVersions
OrderableCloudLinuxCompatibilityInfos[]
—
serviceType
LicenseTypeEnum

Possible values for license type

ValuesdedicateddedicatedClouddedicatedFailoverfailovervmvpsvps_cephvps_classicvps_cloudvps_cloud_2016vps_ssd

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/orderableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "orderableVersions": [ { "version": "SINGLE" } ], "serviceType": "dedicated" }]

Get this object propertiesProduction

GET
/1.0/license/cloudLinux/{serviceName}

Path parameters

serviceName
required
string

The name of your CloudLinux license

Response

200CloudLinuxWithIAMsuccessful operation
creation
read-only
stringdate-time

This license creation date

domain
read-only
string

The internal name of your license

iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
CloudLinuxVersionEnum

This license version

ValuesSINGLEWITH_CPANELWITH_PLESK12cloudlinux-license

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "domain": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "licenseId": "string", "status": "ok", "version": "SINGLE"}

Confirm service terminationProduction

POST
/1.0/license/cloudLinux/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your CloudLinux license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get service informationProduction

GET
/1.0/license/cloudLinux/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your CloudLinux license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/license/cloudLinux/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your CloudLinux license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Tasks linked to this licenseProduction

GET
/1.0/license/cloudLinux/{serviceName}/tasks

Path parameters

serviceName
required
string

The name of your CloudLinux license

Query parameters

action
ActionType

Filter the value of action property (=)

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
status
TaskStateEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/license/cloudLinux/{serviceName}/tasks/{taskId}

Path parameters

serviceName
required
string

The name of your CloudLinux license

taskId
required
integer

This Task id

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/tasks/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationProduction

POST
/1.0/license/cloudLinux/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your CloudLinux license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cloudLinux/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List available servicesProduction

GET
/1.0/license/cpanel

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the orderable CPanel versionsProduction

GET
/1.0/license/cpanel/orderableVersions

Query parameters

ip
required
ipv4

Your license Ip

Response

200CpanelOrderConfiguration[]successful operation
orderableVersions
OrderableCpanelCompatibilityInfos[]
—
serviceType
LicenseTypeEnum

Possible values for license type

ValuesdedicateddedicatedClouddedicatedFailoverfailovervmvpsvps_cephvps_classicvps_cloudvps_cloud_2016vps_ssd

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/orderableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "orderableVersions": [ { "version": "VERSION_11_FOR_LINUX" } ], "serviceType": "dedicated" }]

Get this object propertiesProduction

GET
/1.0/license/cpanel/{serviceName}

Path parameters

serviceName
required
string

The name of your Cpanel license

Response

200CpanelWithIAMsuccessful operation
creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
CpanelVersionEnum

This license version

ValuesVERSION_11_FOR_LINUXVERSION_11_FOR_VIRTUOZZOVERSION_11_FOR_VPScpanel-license-version-11cpanel-license-version-11-for-virtuozzocpanel-license-version-11-for-vpsversion-admin-cloudversion-plus-cloudversion-premier-cloud-100version-premier-cloud-1000version-premier-cloud-10000version-premier-cloud-1100version-premier-cloud-1200version-premier-cloud-1300version-premier-cloud-1400version-premier-cloud-150version-premier-cloud-1500version-premier-cloud-1600version-premier-cloud-1700version-premier-cloud-1800version-premier-cloud-1900version-premier-cloud-200version-premier-cloud-2000version-premier-cloud-2100version-premier-cloud-2200version-premier-cloud-2300version-premier-cloud-2400version-premier-cloud-250version-premier-cloud-2500version-premier-cloud-2600version-premier-cloud-2700version-premier-cloud-2800version-premier-cloud-2900version-premier-cloud-300version-premier-cloud-3000version-premier-cloud-3100version-premier-cloud-3200version-premier-cloud-3300version-premier-cloud-3400version-premier-cloud-3500version-premier-cloud-3600version-premier-cloud-3700version-premier-cloud-3800version-premier-cloud-3900version-premier-cloud-400version-premier-cloud-4000version-premier-cloud-4100version-premier-cloud-4200version-premier-cloud-4300version-premier-cloud-4400version-premier-cloud-4500version-premier-cloud-4600version-premier-cloud-4700version-premier-cloud-4800version-premier-cloud-4900version-premier-cloud-500version-premier-cloud-5000version-premier-cloud-5100version-premier-cloud-5200version-premier-cloud-5300version-premier-cloud-5400version-premier-cloud-5500version-premier-cloud-5600version-premier-cloud-5700version-premier-cloud-5800version-premier-cloud-5900version-premier-cloud-600version-premier-cloud-6000version-premier-cloud-6100version-premier-cloud-6200version-premier-cloud-6300version-premier-cloud-6400version-premier-cloud-6500version-premier-cloud-6600version-premier-cloud-6700version-premier-cloud-6800version-premier-cloud-6900version-premier-cloud-700version-premier-cloud-7000version-premier-cloud-7100version-premier-cloud-7200version-premier-cloud-7300version-premier-cloud-7400version-premier-cloud-7500version-premier-cloud-7600version-premier-cloud-7700version-premier-cloud-7800version-premier-cloud-7900version-premier-cloud-800version-premier-cloud-8000version-premier-cloud-8100version-premier-cloud-8200version-premier-cloud-8300version-premier-cloud-8400version-premier-cloud-8500version-premier-cloud-8600version-premier-cloud-8700version-premier-cloud-8800version-premier-cloud-8900version-premier-cloud-900version-premier-cloud-9000version-premier-cloud-9100version-premier-cloud-9200version-premier-cloud-9300version-premier-cloud-9400version-premier-cloud-9500version-premier-cloud-9600version-premier-cloud-9700version-premier-cloud-9800version-premier-cloud-9900version-premier-metal-100version-premier-metal-1000version-premier-metal-10000version-premier-metal-1100version-premier-metal-1200version-premier-metal-1300version-premier-metal-1400version-premier-metal-150version-premier-metal-1500version-premier-metal-1600version-premier-metal-1700version-premier-metal-1800version-premier-metal-1900version-premier-metal-200version-premier-metal-2000version-premier-metal-2100version-premier-metal-2200version-premier-metal-2300version-premier-metal-2400version-premier-metal-250version-premier-metal-2500version-premier-metal-2600version-premier-metal-2700version-premier-metal-2800version-premier-metal-2900version-premier-metal-300version-premier-metal-3000version-premier-metal-3100version-premier-metal-3200version-premier-metal-3300version-premier-metal-3400version-premier-metal-3500version-premier-metal-3600version-premier-metal-3700version-premier-metal-3800version-premier-metal-3900version-premier-metal-400version-premier-metal-4000version-premier-metal-4100version-premier-metal-4200version-premier-metal-4300version-premier-metal-4400version-premier-metal-4500version-premier-metal-4600version-premier-metal-4700version-premier-metal-4800version-premier-metal-4900version-premier-metal-500version-premier-metal-5000version-premier-metal-5100version-premier-metal-5200version-premier-metal-5300version-premier-metal-5400version-premier-metal-5500version-premier-metal-5600version-premier-metal-5700version-premier-metal-5800version-premier-metal-5900version-premier-metal-600version-premier-metal-6000version-premier-metal-6100version-premier-metal-6200version-premier-metal-6300version-premier-metal-6400version-premier-metal-6500version-premier-metal-6600version-premier-metal-6700version-premier-metal-6800version-premier-metal-6900version-premier-metal-700version-premier-metal-7000version-premier-metal-7100version-premier-metal-7200version-premier-metal-7300version-premier-metal-7400version-premier-metal-7500version-premier-metal-7600version-premier-metal-7700version-premier-metal-7800version-premier-metal-7900version-premier-metal-800version-premier-metal-8000version-premier-metal-8100version-premier-metal-8200version-premier-metal-8300version-premier-metal-8400version-premier-metal-8500version-premier-metal-8600version-premier-metal-8700version-premier-metal-8800version-premier-metal-8900version-premier-metal-900version-premier-metal-9000version-premier-metal-9100version-premier-metal-9200version-premier-metal-9300version-premier-metal-9400version-premier-metal-9500version-premier-metal-9600version-premier-metal-9700version-premier-metal-9800version-premier-metal-9900version-pro-cloudversion-solo-cloudversion-solo-metal

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "deleteAtExpiration": true, "domain": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "licenseId": "string", "status": "ok", "version": "VERSION_11_FOR_LINUX"}

Alter this object propertiesProduction

PUT
/1.0/license/cpanel/{serviceName}

Path parameters

serviceName
required
string

The name of your Cpanel license

Request body (required)

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
CpanelVersionEnum

This license version

ValuesVERSION_11_FOR_LINUXVERSION_11_FOR_VIRTUOZZOVERSION_11_FOR_VPScpanel-license-version-11cpanel-license-version-11-for-virtuozzocpanel-license-version-11-for-vpsversion-admin-cloudversion-plus-cloudversion-premier-cloud-100version-premier-cloud-1000version-premier-cloud-10000version-premier-cloud-1100version-premier-cloud-1200version-premier-cloud-1300version-premier-cloud-1400version-premier-cloud-150version-premier-cloud-1500version-premier-cloud-1600version-premier-cloud-1700version-premier-cloud-1800version-premier-cloud-1900version-premier-cloud-200version-premier-cloud-2000version-premier-cloud-2100version-premier-cloud-2200version-premier-cloud-2300version-premier-cloud-2400version-premier-cloud-250version-premier-cloud-2500version-premier-cloud-2600version-premier-cloud-2700version-premier-cloud-2800version-premier-cloud-2900version-premier-cloud-300version-premier-cloud-3000version-premier-cloud-3100version-premier-cloud-3200version-premier-cloud-3300version-premier-cloud-3400version-premier-cloud-3500version-premier-cloud-3600version-premier-cloud-3700version-premier-cloud-3800version-premier-cloud-3900version-premier-cloud-400version-premier-cloud-4000version-premier-cloud-4100version-premier-cloud-4200version-premier-cloud-4300version-premier-cloud-4400version-premier-cloud-4500version-premier-cloud-4600version-premier-cloud-4700version-premier-cloud-4800version-premier-cloud-4900version-premier-cloud-500version-premier-cloud-5000version-premier-cloud-5100version-premier-cloud-5200version-premier-cloud-5300version-premier-cloud-5400version-premier-cloud-5500version-premier-cloud-5600version-premier-cloud-5700version-premier-cloud-5800version-premier-cloud-5900version-premier-cloud-600version-premier-cloud-6000version-premier-cloud-6100version-premier-cloud-6200version-premier-cloud-6300version-premier-cloud-6400version-premier-cloud-6500version-premier-cloud-6600version-premier-cloud-6700version-premier-cloud-6800version-premier-cloud-6900version-premier-cloud-700version-premier-cloud-7000version-premier-cloud-7100version-premier-cloud-7200version-premier-cloud-7300version-premier-cloud-7400version-premier-cloud-7500version-premier-cloud-7600version-premier-cloud-7700version-premier-cloud-7800version-premier-cloud-7900version-premier-cloud-800version-premier-cloud-8000version-premier-cloud-8100version-premier-cloud-8200version-premier-cloud-8300version-premier-cloud-8400version-premier-cloud-8500version-premier-cloud-8600version-premier-cloud-8700version-premier-cloud-8800version-premier-cloud-8900version-premier-cloud-900version-premier-cloud-9000version-premier-cloud-9100version-premier-cloud-9200version-premier-cloud-9300version-premier-cloud-9400version-premier-cloud-9500version-premier-cloud-9600version-premier-cloud-9700version-premier-cloud-9800version-premier-cloud-9900version-premier-metal-100version-premier-metal-1000version-premier-metal-10000version-premier-metal-1100version-premier-metal-1200version-premier-metal-1300version-premier-metal-1400version-premier-metal-150version-premier-metal-1500version-premier-metal-1600version-premier-metal-1700version-premier-metal-1800version-premier-metal-1900version-premier-metal-200version-premier-metal-2000version-premier-metal-2100version-premier-metal-2200version-premier-metal-2300version-premier-metal-2400version-premier-metal-250version-premier-metal-2500version-premier-metal-2600version-premier-metal-2700version-premier-metal-2800version-premier-metal-2900version-premier-metal-300version-premier-metal-3000version-premier-metal-3100version-premier-metal-3200version-premier-metal-3300version-premier-metal-3400version-premier-metal-3500version-premier-metal-3600version-premier-metal-3700version-premier-metal-3800version-premier-metal-3900version-premier-metal-400version-premier-metal-4000version-premier-metal-4100version-premier-metal-4200version-premier-metal-4300version-premier-metal-4400version-premier-metal-4500version-premier-metal-4600version-premier-metal-4700version-premier-metal-4800version-premier-metal-4900version-premier-metal-500version-premier-metal-5000version-premier-metal-5100version-premier-metal-5200version-premier-metal-5300version-premier-metal-5400version-premier-metal-5500version-premier-metal-5600version-premier-metal-5700version-premier-metal-5800version-premier-metal-5900version-premier-metal-600version-premier-metal-6000version-premier-metal-6100version-premier-metal-6200version-premier-metal-6300version-premier-metal-6400version-premier-metal-6500version-premier-metal-6600version-premier-metal-6700version-premier-metal-6800version-premier-metal-6900version-premier-metal-700version-premier-metal-7000version-premier-metal-7100version-premier-metal-7200version-premier-metal-7300version-premier-metal-7400version-premier-metal-7500version-premier-metal-7600version-premier-metal-7700version-premier-metal-7800version-premier-metal-7900version-premier-metal-800version-premier-metal-8000version-premier-metal-8100version-premier-metal-8200version-premier-metal-8300version-premier-metal-8400version-premier-metal-8500version-premier-metal-8600version-premier-metal-8700version-premier-metal-8800version-premier-metal-8900version-premier-metal-900version-premier-metal-9000version-premier-metal-9100version-premier-metal-9200version-premier-metal-9300version-premier-metal-9400version-premier-metal-9500version-premier-metal-9600version-premier-metal-9700version-premier-metal-9800version-premier-metal-9900version-pro-cloudversion-solo-cloudversion-solo-metal

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Returns an array of ips where the license can be moved toProduction

GET
/1.0/license/cpanel/{serviceName}/allowedDestinationIp

Path parameters

serviceName
required
string

The name of your Cpanel license

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/allowedDestinationIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Will tell if the ip can accept the licenseProduction

GET
/1.0/license/cpanel/{serviceName}/canLicenseBeMovedTo

Path parameters

serviceName
required
string

The name of your Cpanel license

Query parameters

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200ChangeIpStatussuccessful operation
message
ChangeIpMessageEnum

Messages from change IP

ValuesOKdestinationNotAllowedlicenseAlreadyExistsnotAllowedToHandleThisnotSameTypesameIpversionNotAllowed
success
boolean
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/canLicenseBeMovedTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "message": "OK", "success": true}

Move this license to another IpProduction

POST
/1.0/license/cpanel/{serviceName}/changeIp

Path parameters

serviceName
required
string

The name of your Cpanel license

Request body (required)

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/changeIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Confirm service terminationProduction

POST
/1.0/license/cpanel/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your Cpanel license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get service informationProduction

GET
/1.0/license/cpanel/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your Cpanel license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/license/cpanel/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your Cpanel license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

tasks linked to this licenseProduction

GET
/1.0/license/cpanel/{serviceName}/tasks

Path parameters

serviceName
required
string

The name of your Cpanel license

Query parameters

action
ActionType

Filter the value of action property (=)

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
status
TaskStateEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/license/cpanel/{serviceName}/tasks/{taskId}

Path parameters

serviceName
required
string

The name of your Cpanel license

taskId
required
integer

This Task id

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/tasks/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationProduction

POST
/1.0/license/cpanel/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your Cpanel license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/cpanel/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List available servicesProduction

GET
/1.0/license/directadmin

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the orderable DirectAdmin versionsProduction

GET
/1.0/license/directadmin/orderableVersions

Query parameters

ip
required
ipv4

Your license Ip

Response

200DirectAdminOrderConfiguration[]successful operation
orderableVersions
OrderableDirectAdminCompatibilityInfos[]
—
serviceType
LicenseTypeEnum

Possible values for license type

ValuesdedicateddedicatedClouddedicatedFailoverfailovervmvpsvps_cephvps_classicvps_cloudvps_cloud_2016vps_ssd

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/orderableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "orderableVersions": [ { "version": "DIRECTADMIN_1" } ], "serviceType": "dedicated" }]

Get this object propertiesProduction

GET
/1.0/license/directadmin/{serviceName}

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Response

200DirectAdminWithIAMsuccessful operation
clientId
read-only
integer

The client id on license provider side

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

os
DirectAdminOsEnum

This license operating system

ValuesCentOs_5.0_32CentOs_5.0_64CentOs_6_32CentOs_6_64CentOs_7_64CentOs_8_64Debian_10.0_64Debian_11.0_64Debian_5.0_32Debian_5.0_64Debian_6.0_32Debian_6.0_64Debian_7.0_64Debian_8.0_64Debian_9.0_64FreeBSD_11.x_64FreeBSD_12.x_64FreeBSD_7.x_32FreeBSD_7.x_64FreeBSD_8.x_64FreeBSD_9.x_64
status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
DirectAdminVersionEnum

This license version

ValuesDIRECTADMIN_1directadmin-license

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "clientId": 0, "creation": "2024-01-01T12:00:00Z", "deleteAtExpiration": true, "domain": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "licenseId": "string", "os": "CentOs_5.0_32", "status": "ok", "version": "DIRECTADMIN_1"}

Alter this object propertiesProduction

PUT
/1.0/license/directadmin/{serviceName}

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Request body (required)

clientId
read-only
integer

The client id on license provider side

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

os
DirectAdminOsEnum

This license operating system

ValuesCentOs_5.0_32CentOs_5.0_64CentOs_6_32CentOs_6_64CentOs_7_64CentOs_8_64Debian_10.0_64Debian_11.0_64Debian_5.0_32Debian_5.0_64Debian_6.0_32Debian_6.0_64Debian_7.0_64Debian_8.0_64Debian_9.0_64FreeBSD_11.x_64FreeBSD_12.x_64FreeBSD_7.x_32FreeBSD_7.x_64FreeBSD_8.x_64FreeBSD_9.x_64
status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
DirectAdminVersionEnum

This license version

ValuesDIRECTADMIN_1directadmin-license

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Returns an array of ips where the license can be moved toProduction

GET
/1.0/license/directadmin/{serviceName}/allowedDestinationIp

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/allowedDestinationIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Will tell if the ip can accept the licenseProduction

GET
/1.0/license/directadmin/{serviceName}/canLicenseBeMovedTo

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Query parameters

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200ChangeIpStatussuccessful operation
message
ChangeIpMessageEnum

Messages from change IP

ValuesOKdestinationNotAllowedlicenseAlreadyExistsnotAllowedToHandleThisnotSameTypesameIpversionNotAllowed
success
boolean
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/canLicenseBeMovedTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "message": "OK", "success": true}

Move this license to another IpProduction

POST
/1.0/license/directadmin/{serviceName}/changeIp

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Request body (required)

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/changeIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Change the Operating System for a licenseProduction

POST
/1.0/license/directadmin/{serviceName}/changeOs

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Request body (required)

os
required
DirectAdminOsEnum

The operating system you want for this license

ValuesCentOs_5.0_32CentOs_5.0_64CentOs_6_32CentOs_6_64CentOs_7_64CentOs_8_64Debian_10.0_64Debian_11.0_64Debian_5.0_32Debian_5.0_64Debian_6.0_32Debian_6.0_64Debian_7.0_64Debian_8.0_64Debian_9.0_64FreeBSD_11.x_64FreeBSD_12.x_64FreeBSD_7.x_32FreeBSD_7.x_64FreeBSD_8.x_64FreeBSD_9.x_64

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/changeOs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Confirm service terminationProduction

POST
/1.0/license/directadmin/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get service informationProduction

GET
/1.0/license/directadmin/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/license/directadmin/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

tasks linked to this licenseProduction

GET
/1.0/license/directadmin/{serviceName}/tasks

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Query parameters

action
ActionType

Filter the value of action property (=)

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
status
TaskStateEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/license/directadmin/{serviceName}/tasks/{taskId}

Path parameters

serviceName
required
string

The name of your DirectAdmin license

taskId
required
integer

This Task id

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/tasks/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationProduction

POST
/1.0/license/directadmin/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your DirectAdmin license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/directadmin/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List available servicesProduction

GET
/1.0/license/plesk

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the orderable Plesk versions and their associated compatibilitiesProduction

GET
/1.0/license/plesk/orderableVersions

Query parameters

ip
required
ipv4

Your license Ip

Response

200PleskOrderConfiguration[]successful operation
orderableVersions
OrderablePleskCompatibilityInfos[]
—
serviceType
LicenseTypeEnum

Possible values for license type

ValuesdedicateddedicatedClouddedicatedFailoverfailovervmvpsvps_cephvps_classicvps_cloudvps_cloud_2016vps_ssd

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/orderableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "orderableVersions": [ { "canHavePowerPack": true, "canHaveResellerManagement": true, "canHaveWordpressToolkit": true, "compliantAntivirus": [ "DR_WEB" ], "compliantApplicationSets": [ "applicationpack" ], "compliantDomains": [ "10" ], "compliantLanguagePack": [ "1" ], "potentialProblems": [ "isHostOsHyperVLike" ], "version": "PLESK_10_AND_LATER" } ], "serviceType": "dedicated" }]

Get this object propertiesProduction

GET
/1.0/license/plesk/{serviceName}

Path parameters

serviceName
required
string

The name of your Plesk license

Response

200PleskWithIAMsuccessful operation
creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

domainNumber
read-only
DomainNumberEnum

The amount of domain this license can manage

Values011010030300unlimited
iam
read-only
ResourceMetadata

IAM resource metadata

informationKey
read-only
string

This license Information key

ip
read-only
ipv4

The ip on which this license is attached

key
read-only
string

This license key

licenseId
read-only
string

The license id on license provider side

productKey
read-only
string

This license product key

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
PleskVersionEnum

This license version

ValuesPLESK_10_AND_LATERPLESK_10_AND_LATER_FOR_KVMPLESK_10_AND_LATER_FOR_VMWAREPLESK_10_AND_LATER_FOR_VZPLESK_10_AND_LATER_FOR_WINPLESK_10_AND_LATER_FOR_WIN_FOR_VMWAREPLESK_10_AND_LATER_FOR_WIN_FOR_VZPLESK_10_AND_LATER_FOR_WIN_FOR_XENPLESK_10_AND_LATER_FOR_XENPLESK_12_VPS_WEB_ADMINPLESK_12_VPS_WEB_APPPLESK_12_VPS_WEB_HOSTPLESK_12_VPS_WEB_HOST_CLNXPLESK_12_VPS_WEB_PROPLESK_12_VPS_WEB_PRO_CLNXPLESK_12_WEB_ADMINPLESK_12_WEB_APPPLESK_12_WEB_HOSTPLESK_12_WEB_HOST_CLNXPLESK_12_WEB_PROPLESK_12_WEB_PRO_CLNXPLESK_75_RELOADEDPLESK_80PLESK_80_FOR_VZPLESK_81_FOR_WINPLESK_9PLESK_95PLESK_95_FOR_VZPLESK_95_FOR_WINPLESK_9_FOR_VZPLESK_9_FOR_WINPLESK_ONYX_VPS_WEB_ADMINPLESK_ONYX_VPS_WEB_APPPLESK_ONYX_VPS_WEB_HOSTPLESK_ONYX_VPS_WEB_HOST_CLNXPLESK_ONYX_VPS_WEB_PROPLESK_ONYX_VPS_WEB_PRO_CLNXPLESK_ONYX_WEB_ADMINPLESK_ONYX_WEB_APPPLESK_ONYX_WEB_HOSTPLESK_ONYX_WEB_HOST_CLNXPLESK_ONYX_WEB_PROPLESK_ONYX_WEB_PRO_CLNXPLESK_VPS_WEB_ADMINPLESK_VPS_WEB_HOSTPLESK_VPS_WEB_PROPLESK_WEB_ADMINPLESK_WEB_HOSTPLESK_WEB_PROplesk-12-webadminplesk-12-webadmin-for-vpsplesk-12-webhostplesk-12-webhost-for-vpsplesk-12-webproplesk-12-webpro-for-vpsplesk-webadminplesk-webadmin-for-vpsplesk-webhostplesk-webhost-for-vpsplesk-webproplesk-webpro-for-vps

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "deleteAtExpiration": true, "domain": "string", "domainNumber": "0", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "informationKey": "string", "ip": "192.0.2.0", "key": "string", "licenseId": "string", "productKey": "string", "status": "ok", "version": "PLESK_10_AND_LATER"}

Alter this object propertiesProduction

PUT
/1.0/license/plesk/{serviceName}

Path parameters

serviceName
required
string

The name of your Plesk license

Request body (required)

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

domainNumber
read-only
DomainNumberEnum

The amount of domain this license can manage

Values011010030300unlimited
informationKey
read-only
string

This license Information key

ip
read-only
ipv4

The ip on which this license is attached

key
read-only
string

This license key

licenseId
read-only
string

The license id on license provider side

productKey
read-only
string

This license product key

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
PleskVersionEnum

This license version

ValuesPLESK_10_AND_LATERPLESK_10_AND_LATER_FOR_KVMPLESK_10_AND_LATER_FOR_VMWAREPLESK_10_AND_LATER_FOR_VZPLESK_10_AND_LATER_FOR_WINPLESK_10_AND_LATER_FOR_WIN_FOR_VMWAREPLESK_10_AND_LATER_FOR_WIN_FOR_VZPLESK_10_AND_LATER_FOR_WIN_FOR_XENPLESK_10_AND_LATER_FOR_XENPLESK_12_VPS_WEB_ADMINPLESK_12_VPS_WEB_APPPLESK_12_VPS_WEB_HOSTPLESK_12_VPS_WEB_HOST_CLNXPLESK_12_VPS_WEB_PROPLESK_12_VPS_WEB_PRO_CLNXPLESK_12_WEB_ADMINPLESK_12_WEB_APPPLESK_12_WEB_HOSTPLESK_12_WEB_HOST_CLNXPLESK_12_WEB_PROPLESK_12_WEB_PRO_CLNXPLESK_75_RELOADEDPLESK_80PLESK_80_FOR_VZPLESK_81_FOR_WINPLESK_9PLESK_95PLESK_95_FOR_VZPLESK_95_FOR_WINPLESK_9_FOR_VZPLESK_9_FOR_WINPLESK_ONYX_VPS_WEB_ADMINPLESK_ONYX_VPS_WEB_APPPLESK_ONYX_VPS_WEB_HOSTPLESK_ONYX_VPS_WEB_HOST_CLNXPLESK_ONYX_VPS_WEB_PROPLESK_ONYX_VPS_WEB_PRO_CLNXPLESK_ONYX_WEB_ADMINPLESK_ONYX_WEB_APPPLESK_ONYX_WEB_HOSTPLESK_ONYX_WEB_HOST_CLNXPLESK_ONYX_WEB_PROPLESK_ONYX_WEB_PRO_CLNXPLESK_VPS_WEB_ADMINPLESK_VPS_WEB_HOSTPLESK_VPS_WEB_PROPLESK_WEB_ADMINPLESK_WEB_HOSTPLESK_WEB_PROplesk-12-webadminplesk-12-webadmin-for-vpsplesk-12-webhostplesk-12-webhost-for-vpsplesk-12-webproplesk-12-webpro-for-vpsplesk-webadminplesk-webadmin-for-vpsplesk-webhostplesk-webhost-for-vpsplesk-webproplesk-webpro-for-vps

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Returns an array of ips where the license can be moved toProduction

GET
/1.0/license/plesk/{serviceName}/allowedDestinationIp

Path parameters

serviceName
required
string

The name of your Plesk license

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/allowedDestinationIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Will tell if the ip can accept the licenseProduction

GET
/1.0/license/plesk/{serviceName}/canLicenseBeMovedTo

Path parameters

serviceName
required
string

The name of your Plesk license

Query parameters

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200ChangeIpStatussuccessful operation
message
ChangeIpMessageEnum

Messages from change IP

ValuesOKdestinationNotAllowedlicenseAlreadyExistsnotAllowedToHandleThisnotSameTypesameIpversionNotAllowed
success
boolean
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/canLicenseBeMovedTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "message": "OK", "success": true}

Move this license to another IpProduction

POST
/1.0/license/plesk/{serviceName}/changeIp

Path parameters

serviceName
required
string

The name of your Plesk license

Request body (required)

destinationIp
required
ipv4

The Ip on which you want to move this license

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/changeIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Confirm service terminationProduction

POST
/1.0/license/plesk/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your Plesk license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

options attached to this licenseProduction

GET
/1.0/license/plesk/{serviceName}/option

Path parameters

serviceName
required
string

The name of your Plesk license

Response

200OptionLabel[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "ANTISPAM_SPAMASSASSIN"]

Get this object propertiesProduction

GET
/1.0/license/plesk/{serviceName}/option/{label}

Path parameters

label
required
OptionLabel

This option designation

ValuesANTISPAM_SPAMASSASSINANTIVIRUS_DRWEBANTIVIRUS_KASPERSKYDOMAINSLANGUAGE_PACKPOWERPACKSQL_SERVERVIRTUOZZO_CONTAINERS
serviceName
required
string

The name of your Plesk license

Response

200Optionsuccessful operation
amount
read-only
string

Quantity or corresponding label of the designated option enabled on your license

canBeDeleted
read-only
boolean

Specifies whether this option can be released or not

expirationDate
read-only
stringdate-time

This option expiration date

label
read-only
OptionLabel

This option designation

ValuesANTISPAM_SPAMASSASSINANTIVIRUS_DRWEBANTIVIRUS_KASPERSKYDOMAINSLANGUAGE_PACKPOWERPACKSQL_SERVERVIRTUOZZO_CONTAINERS
version
read-only
string

This option related version

Example uses label = ANTISPAM_SPAMASSASSIN, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/option/{label} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "amount": "string", "canBeDeleted": true, "expirationDate": "2024-01-01T12:00:00Z", "label": "ANTISPAM_SPAMASSASSIN", "version": "string"}

release this OptionProduction

DELETE
/1.0/license/plesk/{serviceName}/option/{label}

Path parameters

label
required
OptionLabel

This option designation

ValuesANTISPAM_SPAMASSASSINANTIVIRUS_DRWEBANTIVIRUS_KASPERSKYDOMAINSLANGUAGE_PACKPOWERPACKSQL_SERVERVIRTUOZZO_CONTAINERS
serviceName
required
string

The name of your Plesk license

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses label = ANTISPAM_SPAMASSASSIN, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/option/{label} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Get service informationProduction

GET
/1.0/license/plesk/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your Plesk license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/license/plesk/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your Plesk license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

tasks linked to this licenseProduction

GET
/1.0/license/plesk/{serviceName}/tasks

Path parameters

serviceName
required
string

The name of your Plesk license

Query parameters

action
ActionType

Filter the value of action property (=)

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
status
TaskStateEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/license/plesk/{serviceName}/tasks/{taskId}

Path parameters

serviceName
required
string

The name of your Plesk license

taskId
required
integer

This Task id

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/tasks/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationProduction

POST
/1.0/license/plesk/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your Plesk license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/plesk/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List available servicesBeta

GET
/1.0/license/redhat

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesBeta

GET
/1.0/license/redhat/{serviceName}

Path parameters

serviceName
required
string

The name of your RedHat license

Response

200RedHatWithIAMsuccessful operation
creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
RedHatVersionEnum

This license version

Valuesredhat-enterprise-datacenterredhat-enterprise-standard

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creation": "2024-01-01T12:00:00Z", "deleteAtExpiration": true, "domain": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "licenseId": "string", "status": "ok", "version": "redhat-enterprise-datacenter"}

Alter this object propertiesBeta

PUT
/1.0/license/redhat/{serviceName}

Path parameters

serviceName
required
string

The name of your RedHat license

Request body (required)

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
RedHatVersionEnum

This license version

Valuesredhat-enterprise-datacenterredhat-enterprise-standard

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Confirm service terminationBeta

POST
/1.0/license/redhat/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your RedHat license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get service informationBeta

GET
/1.0/license/redhat/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your RedHat license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationBeta

PUT
/1.0/license/redhat/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your RedHat license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

tasks linked to this licenseBeta

GET
/1.0/license/redhat/{serviceName}/tasks

Path parameters

serviceName
required
string

The name of your RedHat license

Query parameters

action
ActionType

Filter the value of action property (=)

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
status
TaskStateEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesBeta

GET
/1.0/license/redhat/{serviceName}/tasks/{taskId}

Path parameters

serviceName
required
string

The name of your RedHat license

taskId
required
integer

This Task id

Response

200Tasksuccessful operation
action
read-only
ActionType

This Task description

ValuesaddWindowFromExistingSerialchangeIpchangeOsinstallLicenseoptionUpgradereleaseOptionversionUpgrade
doneDate
read-only
stringdate-time

When was this Task done

lastUpdate
read-only
stringdate-time

The last time this Task was updated

name
read-only
string

This Task name

status
read-only
TaskStateEnum

Current Taks status

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer

This Task id

todoDate
read-only
stringdate-time

When was this Task created

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/tasks/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "addWindowFromExistingSerial", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "status": "cancelled", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationBeta

POST
/1.0/license/redhat/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your RedHat license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/redhat/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List available servicesProduction

GET
/1.0/license/sqlserver

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/sqlserver \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the orderable Sql Server versionsProduction

GET
/1.0/license/sqlserver/orderableVersions

Query parameters

ip
required
ipv4

Your license Ip

Response

200SqlServerOrderConfiguration[]successful operation
orderableVersions
OrderableSqlServerCompatibilityInfos[]
—
serviceType
LicenseTypeEnum

Possible values for license type

ValuesdedicateddedicatedClouddedicatedFailoverfailovervmvpsvps_cephvps_classicvps_cloudvps_cloud_2016vps_ssd

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/sqlserver/orderableVersions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "orderableVersions": [ { "version": "SQL_SERVER_2008_STANDARD_EDITION_2_CPU" } ], "serviceType": "dedicated" }]

Get this object propertiesProduction

GET
/1.0/license/sqlserver/{serviceName}

Path parameters

serviceName
required
string

The name of your SQL Server license

Response

200SqlServerWithIAMsuccessful operation
creation
read-only
stringdate-time

This license creation date

domain
read-only
string

The internal name of your license

iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ipv4

The ip on which this license is attached

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver
version
read-only
SqlServerVersionEnum

This license version

ValuesSQL_SERVER_2008_STANDARD_EDITION_2_CPUSQL_SERVER_2008_STANDARD_EDITION_4_CPUSQL_SERVER_2008_WEB_EDITION_2_CPUSQL_SERVER_2008_WEB_EDITION_4_CPUSQL_SERVER_2012_STANDARD_EDITION_10_CORESSQL_SERVER_2012_STANDARD_EDITION_12_CORESSQL_SERVER_2012_STANDARD_EDITION_16_CORESSQL_SERVER_2012_STANDARD_EDITION_18_CORESSQL_SERVER_2012_STANDARD_EDITION_20_CORESSQL_SERVER_2012_STANDARD_EDITION_24_CORESSQL_SERVER_2012_STANDARD_EDITION_2_CPUSQL_SERVER_2012_STANDARD_EDITION_32_CORESSQL_SERVER_2012_STANDARD_EDITION_4_CORESSQL_SERVER_2012_STANDARD_EDITION_6_CORESSQL_SERVER_2012_STANDARD_EDITION_8_CORESSQL_SERVER_2012_WEB_EDITION_10_CORESSQL_SERVER_2012_WEB_EDITION_12_CORESSQL_SERVER_2012_WEB_EDITION_16_CORESSQL_SERVER_2012_WEB_EDITION_18_CORESSQL_SERVER_2012_WEB_EDITION_20_CORESSQL_SERVER_2012_WEB_EDITION_24_CORESSQL_SERVER_2012_WEB_EDITION_32_CORESSQL_SERVER_2012_WEB_EDITION_4_CORESSQL_SERVER_2012_WEB_EDITION_6_CORESSQL_SERVER_2012_WEB_EDITION_8_CORESSQL_SERVER_2014_STANDARD_EDITION_10_CORESSQL_SERVER_2014_STANDARD_EDITION_12_CORESSQL_SERVER_2014_STANDARD_EDITION_16_CORESSQL_SERVER_2014_STANDARD_EDITION_18_CORESSQL_SERVER_2014_STANDARD_EDITION_20_CORESSQL_SERVER_2014_STANDARD_EDITION_24_CORESSQL_SERVER_2014_STANDARD_EDITION_4_CORESSQL_SERVER_2014_STANDARD_EDITION_6_CORESSQL_SERVER_2014_STANDARD_EDITION_8_CORESSQL_SERVER_2014_WEB_EDITION_10_CORESSQL_SERVER_2014_WEB_EDITION_12_CORESSQL_SERVER_2014_WEB_EDITION_16_CORESSQL_SERVER_2014_WEB_EDITION_18_CORESSQL_SERVER_2014_WEB_EDITION_20_CORESSQL_SERVER_2014_WEB_EDITION_24_CORESSQL_SERVER_2014_WEB_EDITION_4_CORESSQL_SERVER_2014_WEB_EDITION_6_CORESSQL_SERVER_2014_WEB_EDITION_8_CORESSQL_SERVER_2016_STANDARD_EDITION_10_CORESSQL_SERVER_2016_STANDARD_EDITION_12_CORESSQL_SERVER_2016_STANDARD_EDITION_14_CORESSQL_SERVER_2016_STANDARD_EDITION_16_CORESSQL_SERVER_2016_STANDARD_EDITION_4_CORESSQL_SERVER_2016_STANDARD_EDITION_6_CORESSQL_SERVER_2016_STANDARD_EDITION_8_CORESSQL_SERVER_2016_WEB_EDITION_10_CORESSQL_SERVER_2016_WEB_EDITION_12_CORESSQL_SERVER_2016_WEB_EDITION_14_CORESSQL_SERVER_2016_WEB_EDITION_16_CORESSQL_SERVER_2016_WEB_EDITION_4_CORESSQL_SERVER_2016_WEB_EDITION_6_CORESSQL_SERVER_2016_WEB_EDITION_8_CORESSQL_SERVER_2017_STANDARD_EDITION_10_CORESSQL_SERVER_2017_STANDARD_EDITION_12_CORESSQL_SERVER_2017_STANDARD_EDITION_14_CORESSQL_SERVER_2017_STANDARD_EDITION_16_CORESSQL_SERVER_2017_STANDARD_EDITION_18_CORESSQL_SERVER_2017_STANDARD_EDITION_20_CORESSQL_SERVER_2017_STANDARD_EDITION_22_CORESSQL_SERVER_2017_STANDARD_EDITION_24_CORESSQL_SERVER_2017_STANDARD_EDITION_26_CORESSQL_SERVER_2017_STANDARD_EDITION_28_CORESSQL_SERVER_2017_STANDARD_EDITION_30_CORESSQL_SERVER_2017_STANDARD_EDITION_32_CORESSQL_SERVER_2017_STANDARD_EDITION_4_CORESSQL_SERVER_2017_STANDARD_EDITION_6_CORESSQL_SERVER_2017_STANDARD_EDITION_8_CORESSQL_SERVER_2017_WEB_EDITION_10_CORESSQL_SERVER_2017_WEB_EDITION_12_CORESSQL_SERVER_2017_WEB_EDITION_14_CORESSQL_SERVER_2017_WEB_EDITION_16_CORESSQL_SERVER_2017_WEB_EDITION_18_CORESSQL_SERVER_2017_WEB_EDITION_20_CORESSQL_SERVER_2017_WEB_EDITION_22_CORESSQL_SERVER_2017_WEB_EDITION_24_CORESSQL_SERVER_2017_WEB_EDITION_26_CORESSQL_SERVER_2017_WEB_EDITION_28_CORESSQL_SERVER_2017_WEB_EDITION_30_CORESSQL_SERVER_2017_WEB_EDITION_32_CORESSQL_SERVER_2017_WEB_EDITION_4_CORESSQL_SERVER_2017_WEB_EDITION_6_CORESSQL_SERVER_2017_WEB_EDITION_8_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_10_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_128_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_12_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_14_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_16_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_18_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_192_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_20_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_22_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_24_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_26_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_28_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_30_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_32_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_34_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_36_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_384_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_38_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_40_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_42_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_44_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_46_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_48_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_4_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_50_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_52_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_54_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_56_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_58_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_60_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_62_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_64_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_6_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_72_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_8_CORESSQL_SERVER_2019_ENTERPRISE_EDITION_96_CORESSQL_SERVER_2019_STANDARD_EDITION_10_CORESSQL_SERVER_2019_STANDARD_EDITION_128_CORESSQL_SERVER_2019_STANDARD_EDITION_12_CORESSQL_SERVER_2019_STANDARD_EDITION_14_CORESSQL_SERVER_2019_STANDARD_EDITION_16_CORESSQL_SERVER_2019_STANDARD_EDITION_18_CORESSQL_SERVER_2019_STANDARD_EDITION_192_CORESSQL_SERVER_2019_STANDARD_EDITION_20_CORESSQL_SERVER_2019_STANDARD_EDITION_22_CORESSQL_SERVER_2019_STANDARD_EDITION_24_CORESSQL_SERVER_2019_STANDARD_EDITION_26_CORESSQL_SERVER_2019_STANDARD_EDITION_28_CORESSQL_SERVER_2019_STANDARD_EDITION_30_CORESSQL_SERVER_2019_STANDARD_EDITION_32_CORESSQL_SERVER_2019_STANDARD_EDITION_34_CORESSQL_SERVER_2019_STANDARD_EDITION_36_CORESSQL_SERVER_2019_STANDARD_EDITION_384_CORESSQL_SERVER_2019_STANDARD_EDITION_38_CORESSQL_SERVER_2019_STANDARD_EDITION_40_CORESSQL_SERVER_2019_STANDARD_EDITION_42_CORESSQL_SERVER_2019_STANDARD_EDITION_44_CORESSQL_SERVER_2019_STANDARD_EDITION_46_CORESSQL_SERVER_2019_STANDARD_EDITION_48_CORESSQL_SERVER_2019_STANDARD_EDITION_4_CORESSQL_SERVER_2019_STANDARD_EDITION_50_CORESSQL_SERVER_2019_STANDARD_EDITION_52_CORESSQL_SERVER_2019_STANDARD_EDITION_54_CORESSQL_SERVER_2019_STANDARD_EDITION_56_CORESSQL_SERVER_2019_STANDARD_EDITION_58_CORESSQL_SERVER_2019_STANDARD_EDITION_60_CORESSQL_SERVER_2019_STANDARD_EDITION_62_CORESSQL_SERVER_2019_STANDARD_EDITION_64_CORESSQL_SERVER_2019_STANDARD_EDITION_6_CORESSQL_SERVER_2019_STANDARD_EDITION_72_CORESSQL_SERVER_2019_STANDARD_EDITION_8_CORESSQL_SERVER_2019_STANDARD_EDITION_96_CORESSQL_SERVER_2019_WEB_EDITION_10_CORESSQL_SERVER_2019_WEB_EDITION_128_CORESSQL_SERVER_2019_WEB_EDITION_12_CORESSQL_SERVER_2019_WEB_EDITION_14_CORESSQL_SERVER_2019_WEB_EDITION_16_CORESSQL_SERVER_2019_WEB_EDITION_18_CORESSQL_SERVER_2019_WEB_EDITION_192_CORESSQL_SERVER_2019_WEB_EDITION_20_CORESSQL_SERVER_2019_WEB_EDITION_22_CORESSQL_SERVER_2019_WEB_EDITION_24_CORESSQL_SERVER_2019_WEB_EDITION_26_CORESSQL_SERVER_2019_WEB_EDITION_28_CORESSQL_SERVER_2019_WEB_EDITION_30_CORESSQL_SERVER_2019_WEB_EDITION_32_CORESSQL_SERVER_2019_WEB_EDITION_34_CORESSQL_SERVER_2019_WEB_EDITION_36_CORESSQL_SERVER_2019_WEB_EDITION_384_CORESSQL_SERVER_2019_WEB_EDITION_38_CORESSQL_SERVER_2019_WEB_EDITION_40_CORESSQL_SERVER_2019_WEB_EDITION_42_CORESSQL_SERVER_2019_WEB_EDITION_44_CORESSQL_SERVER_2019_WEB_EDITION_46_CORESSQL_SERVER_2019_WEB_EDITION_48_CORESSQL_SERVER_2019_WEB_EDITION_4_CORESSQL_SERVER_2019_WEB_EDITION_50_CORESSQL_SERVER_2019_WEB_EDITION_52_CORESSQL_SERVER_2019_WEB_EDITION_54_CORESSQL_SERVER_2019_WEB_EDITION_56_CORESSQL_SERVER_2019_WEB_EDITION_58_CORESSQL_SERVER_2019_WEB_EDITION_60_CORESSQL_SERVER_2019_WEB_EDITION_62_CORESSQL_SERVER_2019_WEB_EDITION_64_CORESSQL_SERVER_2019_WEB_EDITION_6_CORESSQL_SERVER_2019_WEB_EDITION_72_CORESSQL_SERVER_2019_WEB_EDITION_8_CORESSQL_SERVER_2019_WEB_EDITION_96_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_10_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_128_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_12_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_14_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_16_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_18_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_192_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_20_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_22_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_24_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_26_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_28_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_30_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_32_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_34_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_36_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_384_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_38_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_40_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_42_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_44_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_46_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_48_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_4_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_50_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_52_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_54_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_56_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_58_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_60_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_62_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_64_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_6_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_72_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_8_CORESSQL_SERVER_2022_ENTERPRISE_EDITION_96_CORESSQL_SERVER_2022_STANDARD_EDITION_10_CORESSQL_SERVER_2022_STANDARD_EDITION_128_CORESSQL_SERVER_2022_STANDARD_EDITION_12_CORESSQL_SERVER_2022_STANDARD_EDITION_14_CORESSQL_SERVER_2022_STANDARD_EDITION_16_CORESSQL_SERVER_2022_STANDARD_EDITION_18_CORESSQL_SERVER_2022_STANDARD_EDITION_192_CORESSQL_SERVER_2022_STANDARD_EDITION_20_CORESSQL_SERVER_2022_STANDARD_EDITION_22_CORESSQL_SERVER_2022_STANDARD_EDITION_24_CORESSQL_SERVER_2022_STANDARD_EDITION_26_CORESSQL_SERVER_2022_STANDARD_EDITION_28_CORESSQL_SERVER_2022_STANDARD_EDITION_30_CORESSQL_SERVER_2022_STANDARD_EDITION_32_CORESSQL_SERVER_2022_STANDARD_EDITION_34_CORESSQL_SERVER_2022_STANDARD_EDITION_36_CORESSQL_SERVER_2022_STANDARD_EDITION_384_CORESSQL_SERVER_2022_STANDARD_EDITION_38_CORESSQL_SERVER_2022_STANDARD_EDITION_40_CORESSQL_SERVER_2022_STANDARD_EDITION_42_CORESSQL_SERVER_2022_STANDARD_EDITION_44_CORESSQL_SERVER_2022_STANDARD_EDITION_46_CORESSQL_SERVER_2022_STANDARD_EDITION_48_CORESSQL_SERVER_2022_STANDARD_EDITION_4_CORESSQL_SERVER_2022_STANDARD_EDITION_50_CORESSQL_SERVER_2022_STANDARD_EDITION_52_CORESSQL_SERVER_2022_STANDARD_EDITION_54_CORESSQL_SERVER_2022_STANDARD_EDITION_56_CORESSQL_SERVER_2022_STANDARD_EDITION_58_CORESSQL_SERVER_2022_STANDARD_EDITION_60_CORESSQL_SERVER_2022_STANDARD_EDITION_62_CORESSQL_SERVER_2022_STANDARD_EDITION_64_CORESSQL_SERVER_2022_STANDARD_EDITION_6_CORESSQL_SERVER_2022_STANDARD_EDITION_72_CORESSQL_SERVER_2022_STANDARD_EDITION_8_CORESSQL_SERVER_2022_STANDARD_EDITION_96_CORESSQL_SERVER_2022_WEB_EDITION_10_CORESSQL_SERVER_2022_WEB_EDITION_128_CORESSQL_SERVER_2022_WEB_EDITION_12_CORESSQL_SERVER_2022_WEB_EDITION_14_CORESSQL_SERVER_2022_WEB_EDITION_16_CORESSQL_SERVER_2022_WEB_EDITION_18_CORESSQL_SERVER_2022_WEB_EDITION_192_CORESSQL_SERVER_2022_WEB_EDITION_20_CORESSQL_SERVER_2022_WEB_EDITION_22_CORESSQL_SERVER_2022_WEB_EDITION_24_CORESSQL_SERVER_2022_WEB_EDITION_26_CORESSQL_SERVER_2022_WEB_EDITION_28_CORESSQL_SERVER_2022_WEB_EDITION_30_CORESSQL_SERVER_2022_WEB_EDITION_32_CORESSQL_SERVER_2022_WEB_EDITION_34_CORESSQL_SERVER_2022_WEB_EDITION_36_CORESSQL_SERVER_2022_WEB_EDITION_384_CORESSQL_SERVER_2022_WEB_EDITION_38_CORESSQL_SERVER_2022_WEB_EDITION_40_CORESSQL_SERVER_2022_WEB_EDITION_42_CORESSQL_SERVER_2022_WEB_EDITION_44_CORESSQL_SERVER_2022_WEB_EDITION_46_CORESSQL_SERVER_2022_WEB_EDITION_48_CORESSQL_SERVER_2022_WEB_EDITION_4_CORESSQL_SERVER_2022_WEB_EDITION_50_CORESSQL_SERVER_2022_WEB_EDITION_52_CORESSQL_SERVER_2022_WEB_EDITION_54_CORESSQL_SERVER_2022_WEB_EDITION_56_CORESSQL_SERVER_2022_WEB_EDITION_58_CORESSQL_SERVER_2022_WEB_EDITION_60_CORESSQL_SERVER_2022_WEB_EDITION_62_CORESSQL_SERVER_2022_WEB_EDITION_64_CORESSQL_SERVER_2022_WEB_EDITION_6_CORESSQL_SERVER_2022_WEB_EDITION_72_CORESSQL_SERVER_2022_WEB_EDITION_8_CORESSQL_SERVER_2022_WEB_EDITION_96_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_10_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_128_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_12_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_14_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_16_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_18_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_192_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_20_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_22_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_24_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_26_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_28_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_30_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_32_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_34_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_36_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_384_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_38_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_40_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_42_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_44_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_46_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_48_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_4_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_50_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_52_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_54_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_56_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_58_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_60_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_62_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_64_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_6_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_72_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_8_CORESSQL_SERVER_2025_ENTERPRISE_EDITION_96_CORESSQL_SERVER_2025_STANDARD_EDITION_10_CORESSQL_SERVER_2025_STANDARD_EDITION_128_CORESSQL_SERVER_2025_STANDARD_EDITION_12_CORESSQL_SERVER_2025_STANDARD_EDITION_14_CORESSQL_SERVER_2025_STANDARD_EDITION_16_CORESSQL_SERVER_2025_STANDARD_EDITION_18_CORESSQL_SERVER_2025_STANDARD_EDITION_192_CORESSQL_SERVER_2025_STANDARD_EDITION_20_CORESSQL_SERVER_2025_STANDARD_EDITION_22_CORESSQL_SERVER_2025_STANDARD_EDITION_24_CORESSQL_SERVER_2025_STANDARD_EDITION_26_CORESSQL_SERVER_2025_STANDARD_EDITION_28_CORESSQL_SERVER_2025_STANDARD_EDITION_30_CORESSQL_SERVER_2025_STANDARD_EDITION_32_CORESSQL_SERVER_2025_STANDARD_EDITION_34_CORESSQL_SERVER_2025_STANDARD_EDITION_36_CORESSQL_SERVER_2025_STANDARD_EDITION_384_CORESSQL_SERVER_2025_STANDARD_EDITION_38_CORESSQL_SERVER_2025_STANDARD_EDITION_40_CORESSQL_SERVER_2025_STANDARD_EDITION_42_CORESSQL_SERVER_2025_STANDARD_EDITION_44_CORESSQL_SERVER_2025_STANDARD_EDITION_46_CORESSQL_SERVER_2025_STANDARD_EDITION_48_CORESSQL_SERVER_2025_STANDARD_EDITION_4_CORESSQL_SERVER_2025_STANDARD_EDITION_50_CORESSQL_SERVER_2025_STANDARD_EDITION_52_CORESSQL_SERVER_2025_STANDARD_EDITION_54_CORESSQL_SERVER_2025_STANDARD_EDITION_56_CORESSQL_SERVER_2025_STANDARD_EDITION_58_CORESSQL_SERVER_2025_STANDARD_EDITION_60_CORESSQL_SERVER_2025_STANDARD_EDITION_62_CORESSQL_SERVER_2025_STANDARD_EDITION_64_CORESSQL_SERVER_2025_STANDARD_EDITION_6_CORESSQL_SERVER_2025_STANDARD_EDITION_72_CORESSQL_SERVER_2025_STANDARD_EDITION_8_CORESSQL_SERVER_2025_STANDARD_EDITION_96_CORESSQL_SERVER_2025_WEB_EDITION_10_CORESSQL_SERVER_2025_WEB_EDITION_128_CORESSQL_SERVER_2025_WEB_EDITION_12_CORESSQL_SERVER_2025_WEB_EDITION_14_CORESSQL_SERVER_2025_WEB_EDITION_16_CORESSQL_SERVER_2025_WEB_EDITION_18_CORESSQL_SERVER_2025_WEB_EDITION_192_CORESSQL_SERVER_2025_WEB_EDITION_20_CORESSQL_SERVER_2025_WEB_EDITION_22_CORESSQL_SERVER_2025_WEB_EDITION_24_CORESSQL_SERVER_2025_WEB_EDITION_26_CORESSQL_SERVER_2025_WEB_EDITION_28_CORESSQL_SERVER_2025_WEB_EDITION_30_CORESSQL_SERVER_2025_WEB_EDITION_32_CORESSQL_SERVER_2025_WEB_EDITION_34_CORESSQL_SERVER_2025_WEB_EDITION_36_CORESSQL_SERVER_2025_WEB_EDITION_384_CORESSQL_SERVER_2025_WEB_EDITION_38_CORESSQL_SERVER_2025_WEB_EDITION_40_CORESSQL_SERVER_2025_WEB_EDITION_42_CORESSQL_SERVER_2025_WEB_EDITION_44_CORESSQL_SERVER_2025_WEB_EDITION_46_CORESSQL_SERVER_2025_WEB_EDITION_48_CORESSQL_SERVER_2025_WEB_EDITION_4_CORESSQL_SERVER_2025_WEB_EDITION_50_CORESSQL_SERVER_2025_WEB_EDITION_52_CORESSQL_SERVER_2025_WEB_EDITION_54_CORESSQL_SERVER_2025_WEB_EDITION_56_CORESSQL_SERVER_2025_WEB_EDITION_58_CORESSQL_SERVER_2025_WEB_EDITION_60_CORESSQL_SERVER_2025_WEB_EDITION_62_CORESSQL_SERVER_2025_WEB_EDITION_64_CORESSQL_SERVER_2025_WEB_EDITION_6_CORESSQL_SERVER_2025_WEB_EDITION_72_CORESSQL_SERVER_2025_WEB_EDITION_8_CORESSQL_SERVER_2025_WEB_EDITION_96_CORESsql-server-2008-license-standard-edition-2-cpusql-server-2008-license-standard-edition-4-cpusql-server-2008-license-web-edition-2-cpusql-server-2008-license-web-edition-4-cpusql-server-2012-license-standard-edition-10-coressql-server-2012-license-standard-edition-12-coressql-server-2012-license-standard-edition-16-coressql-server-2012-license-standard-edition-18-coressql-server-2012-license-standard-edition-2-cpusql-server-2012-license-standard-edition-20-coressql-server-2012-license-standard-edition-24-coressql-server-2012-license-standard-edition-32-coressql-server-2012-license-standard-edition-4-coressql-server-2012-license-standard-edition-6-coressql-server-2012-license-standard-edition-8-coressql-server-2012-license-web-edition-10-coressql-server-2012-license-web-edition-12-coressql-server-2012-license-web-edition-16-coressql-server-2012-license-web-edition-18-coressql-server-2012-license-web-edition-20-coressql-server-2012-license-web-edition-24-coressql-server-2012-license-web-edition-32-coressql-server-2012-license-web-edition-4-coressql-server-2012-license-web-edition-6-coressql-server-2012-license-web-edition-8-coressql-server-2014-license-standard-edition-10-coressql-server-2014-license-standard-edition-12-coressql-server-2014-license-standard-edition-16-coressql-server-2014-license-standard-edition-18-coressql-server-2014-license-standard-edition-20-coressql-server-2014-license-standard-edition-24-coressql-server-2014-license-standard-edition-4-coressql-server-2014-license-standard-edition-6-coressql-server-2014-license-standard-edition-8-coressql-server-2014-license-web-edition-10-coressql-server-2014-license-web-edition-12-coressql-server-2014-license-web-edition-16-coressql-server-2014-license-web-edition-18-coressql-server-2014-license-web-edition-20-coressql-server-2014-license-web-edition-24-coressql-server-2014-license-web-edition-4-coressql-server-2014-license-web-edition-6-coressql-server-2014-license-web-edition-8-coressql-server-2016-license-standard-edition-10-coressql-server-2016-license-standard-edition-12-coressql-server-2016-license-standard-edition-14-coressql-server-2016-license-standard-edition-16-coressql-server-2016-license-standard-edition-4-coressql-server-2016-license-standard-edition-6-coressql-server-2016-license-standard-edition-8-coressql-server-2016-license-web-edition-10-coressql-server-2016-license-web-edition-12-coressql-server-2016-license-web-edition-14-coressql-server-2016-license-web-edition-16-coressql-server-2016-license-web-edition-4-coressql-server-2016-license-web-edition-6-coressql-server-2016-license-web-edition-8-coressql-server-2017-license-standard-edition-10-coressql-server-2017-license-standard-edition-12-coressql-server-2017-license-standard-edition-14-coressql-server-2017-license-standard-edition-16-coressql-server-2017-license-standard-edition-18-coressql-server-2017-license-standard-edition-20-coressql-server-2017-license-standard-edition-22-coressql-server-2017-license-standard-edition-24-coressql-server-2017-license-standard-edition-26-coressql-server-2017-license-standard-edition-28-coressql-server-2017-license-standard-edition-30-coressql-server-2017-license-standard-edition-32-coressql-server-2017-license-standard-edition-4-coressql-server-2017-license-standard-edition-6-coressql-server-2017-license-standard-edition-8-coressql-server-2017-license-web-edition-10-coressql-server-2017-license-web-edition-12-coressql-server-2017-license-web-edition-14-coressql-server-2017-license-web-edition-16-coressql-server-2017-license-web-edition-18-coressql-server-2017-license-web-edition-20-coressql-server-2017-license-web-edition-22-coressql-server-2017-license-web-edition-24-coressql-server-2017-license-web-edition-26-coressql-server-2017-license-web-edition-28-coressql-server-2017-license-web-edition-30-coressql-server-2017-license-web-edition-32-coressql-server-2017-license-web-edition-4-coressql-server-2017-license-web-edition-6-coressql-server-2017-license-web-edition-8-coressql-server-2019-license-enterprise-edition-10-coressql-server-2019-license-enterprise-edition-12-coressql-server-2019-license-enterprise-edition-128-coressql-server-2019-license-enterprise-edition-14-coressql-server-2019-license-enterprise-edition-16-coressql-server-2019-license-enterprise-edition-18-coressql-server-2019-license-enterprise-edition-192-coressql-server-2019-license-enterprise-edition-20-coressql-server-2019-license-enterprise-edition-22-coressql-server-2019-license-enterprise-edition-24-coressql-server-2019-license-enterprise-edition-26-coressql-server-2019-license-enterprise-edition-28-coressql-server-2019-license-enterprise-edition-30-coressql-server-2019-license-enterprise-edition-32-coressql-server-2019-license-enterprise-edition-34-coressql-server-2019-license-enterprise-edition-36-coressql-server-2019-license-enterprise-edition-38-coressql-server-2019-license-enterprise-edition-384-coressql-server-2019-license-enterprise-edition-4-coressql-server-2019-license-enterprise-edition-40-coressql-server-2019-license-enterprise-edition-42-coressql-server-2019-license-enterprise-edition-44-coressql-server-2019-license-enterprise-edition-46-coressql-server-2019-license-enterprise-edition-48-coressql-server-2019-license-enterprise-edition-50-coressql-server-2019-license-enterprise-edition-52-coressql-server-2019-license-enterprise-edition-54-coressql-server-2019-license-enterprise-edition-56-coressql-server-2019-license-enterprise-edition-58-coressql-server-2019-license-enterprise-edition-6-coressql-server-2019-license-enterprise-edition-60-coressql-server-2019-license-enterprise-edition-62-coressql-server-2019-license-enterprise-edition-64-coressql-server-2019-license-enterprise-edition-72-coressql-server-2019-license-enterprise-edition-8-coressql-server-2019-license-enterprise-edition-96-coressql-server-2019-license-standard-edition-10-coressql-server-2019-license-standard-edition-12-coressql-server-2019-license-standard-edition-128-coressql-server-2019-license-standard-edition-14-coressql-server-2019-license-standard-edition-16-coressql-server-2019-license-standard-edition-18-coressql-server-2019-license-standard-edition-192-coressql-server-2019-license-standard-edition-20-coressql-server-2019-license-standard-edition-22-coressql-server-2019-license-standard-edition-24-coressql-server-2019-license-standard-edition-26-coressql-server-2019-license-standard-edition-28-coressql-server-2019-license-standard-edition-30-coressql-server-2019-license-standard-edition-32-coressql-server-2019-license-standard-edition-34-coressql-server-2019-license-standard-edition-36-coressql-server-2019-license-standard-edition-38-coressql-server-2019-license-standard-edition-384-coressql-server-2019-license-standard-edition-4-coressql-server-2019-license-standard-edition-40-coressql-server-2019-license-standard-edition-42-coressql-server-2019-license-standard-edition-44-coressql-server-2019-license-standard-edition-46-coressql-server-2019-license-standard-edition-48-coressql-server-2019-license-standard-edition-50-coressql-server-2019-license-standard-edition-52-coressql-server-2019-license-standard-edition-54-coressql-server-2019-license-standard-ed
[...]
